extends Node

enum { DESKTOP, CONSOLE }
var platform: = DESKTOP

var gravity: = Vector3(0.0, -9.81, 0.0)

func _input(event: InputEvent) -> void:
	if event is InputEventKey:
		var k_event: = event as InputEventKey
		if k_event.pressed and not k_event.echo and k_event.scancode == KEY_ESCAPE:
			get_tree().quit(0)
		if k_event.pressed and not k_event.echo and k_event.scancode == KEY_BRACERIGHT:
			var _e = get_tree().reload_current_scene()
